> ## Documentation Index
> Fetch the complete documentation index at: https://docs.atom14.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload

> Upload a file and trigger processing.

Args:
    file: Uploaded file (multipart form)

Returns:
    Created file record



## OpenAPI

````yaml https://searchanything.onrender.com/openapi.json post /api/files/upload
openapi: 3.1.0
info:
  title: SearchAnything API
  description: Search across all your documents, images, and audio
  version: 1.0.0
servers: []
security: []
paths:
  /api/files/upload:
    post:
      tags:
        - Files
      summary: Upload
      description: |-
        Upload a file and trigger processing.

        Args:
            file: Uploaded file (multipart form)

        Returns:
            Created file record
      operationId: upload_api_files_upload_post
      requestBody:
        content:
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/Body_upload_api_files_upload_post'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    Body_upload_api_files_upload_post:
      properties:
        file:
          type: string
          format: binary
          title: File
      type: object
      required:
        - file
      title: Body_upload_api_files_upload_post
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````